Entities
Legal entities / organizations
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/api/entities"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "legalName": "string", "type": "string", "functionalCurrency": "string", "fiscalYearStartMonth": 0, "periodType": "monthly", "timezone": "string", "parentEntityId": "104d03d6-66fa-40da-8ad1-17945ff5bbe2", "ownershipPercentage": 0, "consolidationGroupId": "cb72ea30-f8ea-40f2-99f2-2983e4e5cdac", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string"}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/entities" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "legalName": "string", "type": "string", "functionalCurrency": "string", "fiscalYearStartMonth": 0, "periodType": "monthly", "timezone": "string", "parentEntityId": "104d03d6-66fa-40da-8ad1-17945ff5bbe2", "ownershipPercentage": 0, "consolidationGroupId": "cb72ea30-f8ea-40f2-99f2-2983e4e5cdac", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string"}{ "error": "string"}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/entities/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "legalName": "string", "type": "string", "functionalCurrency": "string", "fiscalYearStartMonth": 0, "periodType": "monthly", "timezone": "string", "parentEntityId": "104d03d6-66fa-40da-8ad1-17945ff5bbe2", "ownershipPercentage": 0, "consolidationGroupId": "cb72ea30-f8ea-40f2-99f2-2983e4e5cdac", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string"}{ "error": "string"}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/entities/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "legalName": "string", "type": "string", "functionalCurrency": "string", "fiscalYearStartMonth": 0, "periodType": "monthly", "timezone": "string", "parentEntityId": "104d03d6-66fa-40da-8ad1-17945ff5bbe2", "ownershipPercentage": 0, "consolidationGroupId": "cb72ea30-f8ea-40f2-99f2-2983e4e5cdac", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string"}{ "error": "string"}{ "error": "string"}